// Asset market
clear
ztree2stata pgraph using 180411_1555.xls

collapse gtrade gprice, by(Period)
gen fundamental = 12 - 1.5*(Period-1)

twoway (bar gtrade Period, sort yaxis(2) fcolor(eltblue) lcolor(black) barwidth(0.8)) (connected gprice Period, sort mcolor(navy) lcolor(navy) lwidth(thick)) (line fundamental Period, sort lcolor(red) lwidth(medthick)), ytitle(Price) ylabel(, angle(horizontal) nogrid) xtitle(Period) xlabel(1(1)8) legend(on span order(1 "Mean number of trades" 2 "Mean price" 3 "Expected price") rows(1) region(fcolor(white) lcolor(white)) position(12)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(margin(small) fcolor(white) lcolor(black) ifcolor(white) ilcolor(white)) name(assetmarket, replace)
graph export assetmarket.pdf, as(pdf) replace
