// Double-auction, make sure to check the treatment to extract the contracts table
clear
ztree2stata contracts using 180411_1555.xls, treatment(1)

drop if sold == 0
gen periodcontract = Period * 100 + contract
sort periodcontract
egen sequence = fill(1 2)

quietly sum Period 
local newpart = 1 + r(max) / 2
quietly sum sequence if Period > `newpart'
local newpart = r(min) - 0.5
local endpart = r(max) + 0.2
twoway (scatter ask sequence if mod(Period, 2) == 1, sort mcolor(edkblue) msymbol(circle)) (scatter ask sequence if mod(Period, 2) == 0, sort mcolor(maroon) msymbol(triangle)) (scatteri 48 0.8 48 `newpart', recast(line) lcolor(gs8) lpattern(shortdash)) (scatteri 52 0.8 52 `newpart', recast(line) lcolor(gs8) lpattern(shortdash)) (scatteri 65 `newpart' 65 `endpart', recast(line) lcolor(gs8) lpattern(shortdash)) (scatteri 67 `newpart' 67 `endpart', recast(line) lcolor(gs8) lpattern(shortdash)), ytitle(Price) ytitle(, size(vlarge)) yscale(noline) ylabel(20(10)100, angle(horizontal) nogrid) xtitle(Trades) xtitle(, size(vlarge) margin(top)) xscale(noline) xlabel(none) legend(off) name(doubleauction, replace) xsize(10) ysize(4) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))


graph export doubleauction.pdf, as(pdf) replace


